﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_FULLTEXT_CUSTSYNC', 'T_FULLTEXT_CUSTSYNC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FULLTEXT_CUSTSYNC') CREATE UNIQUE INDEX IDX_FULLTEXT_CUSTSYNC ON T_FULLTEXT_CUSTSYNC ( FENTITYNAME );


 EXEC P_ALTERPK 'PK_FULLTEXT_CUSTSYNC_DETL', 'T_FULLTEXT_CUSTSYNC_DETL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FULLTEXT_CUSTSYNC_DETL_FK') CREATE INDEX IDX_FULLTEXT_CUSTSYNC_DETL_FK ON T_FULLTEXT_CUSTSYNC_DETL ( FID );


 EXEC P_ALTERPK 'PK_DTS_DATASYNCCONFIG', 'T_DTS_DATASYNCCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DTS_DATASYNCCONFIG') CREATE INDEX IDX_DTS_DATASYNCCONFIG ON T_DTS_DATASYNCCONFIG ( FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_DTS_DATASYNCCONFIG_L', 'T_DTS_DATASYNCCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DTS_DATASYNCCONFIG_L_0') CREATE INDEX IDX_DTS_DATASYNCCONFIG_L_0 ON T_DTS_DATASYNCCONFIG_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_DTS_KSQL_LOG', 'T_DTS_KSQL_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DTS_KSQL_LOG') CREATE INDEX IDX_DTS_KSQL_LOG ON T_DTS_KSQL_LOG ( FSQL );


 EXEC P_ALTERPK 'PK_DTS_SYNCCONFIGSNAPSHOT', 'T_DTS_SYNCCONFIGSNAPSHOT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DTS_SYNCCONFIGSNAPSHOT') CREATE INDEX IDX_DTS_SYNCCONFIGSNAPSHOT ON T_DTS_SYNCCONFIGSNAPSHOT ( FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_BAS_SHARDPLAN', 'T_BAS_SHARDPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_SHARDPLAN') CREATE INDEX IDX_BAS_SHARDPLAN ON T_BAS_SHARDPLAN ( FBILLNO );


 EXEC P_ALTERPK 'PK_BAS_SHARDRECORD', 'T_BAS_SHARDRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_SHARDRECORD') CREATE INDEX IDX_BAS_SHARDRECORD ON T_BAS_SHARDRECORD ( FBILLNO );


 EXEC P_ALTERPK 'PK_BAS_SHARDSET_ENTRY', 'T_BAS_SHARDSET_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_SHARDSET_ENTRY') CREATE INDEX IDX_BAS_SHARDSET_ENTRY ON T_BAS_SHARDSET_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_BAS_SHARDSTRATEGY_SET', 'T_BAS_SHARDSTRATEGY_SET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_SHARDSTRATEGY_SET') CREATE INDEX IDX_BAS_SHARDSTRATEGY_SET ON T_BAS_SHARDSTRATEGY_SET ( FNUMBER );


 EXEC P_ALTERPK 'PK_BAS_SHARDSTRATEGY_SET_L', 'T_BAS_SHARDSTRATEGY_SET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_SHARDSTRATEGY_SET_L_0') CREATE INDEX IDX_BAS_SHARDSTRATEGY_SET_L_0 ON T_BAS_SHARDSTRATEGY_SET_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_constraint.sql **/
