﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_SPLITTASK') 
 CREATE TABLE T_CBS_ARCHI_SPLITTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FHEADPK BIGINT DEFAULT 0 NOT NULL,
FTAILPK BIGINT DEFAULT 0 NOT NULL,
FPAGENUM BIGINT DEFAULT 0 NOT NULL,
FPAGESIZE BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FPROGRESSSIGN NCLOB,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_CONFIG' AND KSQL_COL_NAME ='FMOVINGTYPE') 
ALTER TABLE T_CBS_ARCHI_CONFIG ADD (FMOVINGTYPE CHAR(1) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_CONFIG' AND KSQL_COL_NAME ='FCONDITIONTYPE') 
ALTER TABLE T_CBS_ARCHI_CONFIG ADD (FCONDITIONTYPE CHAR(1) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_CONFIG' AND KSQL_COL_NAME ='FARCHIVEPLUGIN') 
ALTER TABLE T_CBS_ARCHI_CONFIG ADD (FARCHIVEPLUGIN VARCHAR(2000) DEFAULT ' ' NOT NULL );
