﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_t_CBS_DTX_BRANCH', 't_CBS_DTX_BRANCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_BRANCH_FBRANCH_ID') CREATE UNIQUE INDEX IDX_CBS_DTX_BRANCH_FBRANCH_ID ON t_CBS_DTX_BRANCH ( FBRANCH_ID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_BRANCH_FXID_FSEQ') CREATE UNIQUE INDEX IDX_CBS_DTX_BRANCH_FXID_FSEQ ON t_CBS_DTX_BRANCH ( FXID ,FSEQ );


 EXEC P_ALTERPK 'PK_t_CBS_DTX_LOGS', 't_CBS_DTX_LOGS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_LOGS') CREATE INDEX IDX_CBS_DTX_LOGS ON t_CBS_DTX_LOGS ( FXID );


 EXEC P_ALTERPK 'PK_t_CBS_DTX_RETRY_STAT', 't_CBS_DTX_RETRY_STAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_RETRY_STAT') CREATE UNIQUE INDEX IDX_CBS_DTX_RETRY_STAT ON t_CBS_DTX_RETRY_STAT ( FXID ,FTRIGGER_TYPE );


 EXEC P_ALTERPK 'PK_t_CBS_DTX_BRANCH_SCENES', 't_CBS_DTX_BRANCH_SCENES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_BRANCH_SCENES') CREATE UNIQUE INDEX
 IDX_CBS_DTX_BRANCH_SCENES ON t_CBS_DTX_BRANCH_SCENES ( FENTRYID ,FCODE );


 EXEC P_ALTERPK 'PK_t_CBS_DTX_TX_SCENES', 't_CBS_DTX_TX_SCENES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_TX_SCENES') CREATE UNIQUE INDEX IDX_CBS_DTX_TX_SCENES ON t_CBS_DTX_TX_SCENES ( FCODE );



 EXEC P_ALTERPK 'PK_t_CBS_DTX_TRANSACTION', 't_CBS_DTX_TRANSACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_TRANSACTION') CREATE UNIQUE INDEX IDX_CBS_DTX_TRANSACTION ON t_CBS_DTX_TRANSACTION ( FXID );

 EXEC P_ALTERPK 'PK_t_CBS_DTX_BUSINESS', 't_CBS_DTX_BUSINESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_DTX_BUSINESS') CREATE UNIQUE INDEX
 IDX_CBS_DTX_BUSINESS ON t_CBS_DTX_BUSINESS ( FXID,FBUSINESS_ID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_constraint.sql **/
