﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FULLTEXT_CUSTSYNC') 
 CREATE TABLE T_FULLTEXT_CUSTSYNC (
FID BIGINT DEFAULT 0 NOT NULL,
FINDEXNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FISENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(36) DEFAULT ' ' NOT NULL,
FFILTERNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFILTERVALUE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FINDEXTYPE NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FULLTEXT_CUSTSYNC_DETL') 
 CREATE TABLE T_FULLTEXT_CUSTSYNC_DETL (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROPERTYDISPLAYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPROPERTYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FESFIELDNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FISFIELDENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FISPK CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DTS_DATASYNCCONFIG') 
 CREATE TABLE T_DTS_DATASYNCCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDESTINATIONTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTITYFIELDS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAPPINGRULE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTIMINGSEQUENCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FEN NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DTS_DATASYNCCONFIG_L') 
 CREATE TABLE T_DTS_DATASYNCCONFIG_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DTS_KSQL_LOG') 
 CREATE TABLE T_DTS_KSQL_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSQL NVARCHAR(510) DEFAULT ' ' NOT NULL,
FLOGTIME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DTS_SYNCCONFIGSNAPSHOT') 
 CREATE TABLE T_DTS_SYNCCONFIGSNAPSHOT (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDESTINATIONTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTITYFIELDS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTIMINGSEQUENCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAPPINGRULE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSYNCSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHARDPLAN') 
 CREATE TABLE T_BAS_SHARDPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSHARD_TABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_TOTAL_RECORD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_MOVING_RECORD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_PROGESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_INDEX NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHARDRECORD') 
 CREATE TABLE T_BAS_SHARDRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FOPERATIONLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSHARDING_STRATEGY_ID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROGRESSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHARDSET_ENTRY') 
 CREATE TABLE T_BAS_SHARDSET_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSHARD_TABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_TOTAL_RECORD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_MOVING_RECORD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_PROGRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_INDEX NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHARDSTRATEGY_SET') 
 CREATE TABLE T_BAS_SHARDSTRATEGY_SET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSHARDINGFIELDS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARDPATTERN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARDMOD BIGINT DEFAULT 0 NOT NULL,
FINDEXPK CHAR(1) DEFAULT ' ' NOT NULL,
FSTRATEGYPARAMS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFROMSHARDINGSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOSHARDINGSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARDINGENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FSHARDINGCOMPLETED CHAR(1) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSHARDINGSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPERATIONLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARDINGEXECUTED CHAR(1) DEFAULT ' ' NOT NULL,
FSHARDINGPAUSED CHAR(1) DEFAULT ' ' NOT NULL,
FPROGRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROGRESSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROGRESSSIGN NCLOB,
FMODIFYTIME DATETIME,
FTOTAL_RECORD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMOVING_RECORD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTRATEGYZH_CN NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHARDSTRATEGY_SET_L') 
 CREATE TABLE T_BAS_SHARDSTRATEGY_SET_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
