﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_FAST_INDEX')
 CREATE TABLE T_CBS_SHARD_FAST_INDEX (
FID BIGINT DEFAULT 0 NOT NULL,
FCONFIGID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFASTINDEX VARCHAR(1000) DEFAULT ' ' NOT NULL,
FLASTFASTINDEX VARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FOPERATIONLOG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRWMARK VARCHAR(512) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_SHARD_TASK' AND KSQL_COL_NAME ='FFASTINDEX')
 ALTER TABLE T_CBS_SHARD_TASK ADD (FFASTINDEX VARCHAR(1000) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_SHARD_TASK' AND KSQL_COL_NAME ='FLASTFASTINDEX')
 ALTER TABLE T_CBS_SHARD_TASK ADD (FLASTFASTINDEX VARCHAR(1000) DEFAULT ' ' NOT NULL );