﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_CBS_ARCHI_BASEDATA', 'T_CBS_ARCHI_BASEDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_BD_NUMBER') CREATE INDEX IDX_CBS_ARCHI_BD_NUMBER ON T_CBS_ARCHI_BASEDATA ( FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_CONFIG', 'T_CBS_ARCHI_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_CONFIG') CREATE INDEX IDX_CBS_ARCHI_CONFIG ON T_CBS_ARCHI_CONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_CONFIG_L', 'T_CBS_ARCHI_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_CONFIG_L') CREATE INDEX IDX_CBS_ARCHI_CONFIG_L ON T_CBS_ARCHI_CONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_CONFIG_REFBD', 'T_CBS_ARCHI_CONFIG_REFBD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_CONFIG_REFBD_FK') CREATE INDEX IDX_CBS_ARCHI_CONFIG_REFBD_FK ON T_CBS_ARCHI_CONFIG_REFBD ( FID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_CROSS_MVRCD', 'T_CBS_ARCHI_CROSS_MVRCD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_CROSS_MVRCD_TID') CREATE INDEX IDX_CBS_ARCHI_CROSS_MVRCD_TID ON T_CBS_ARCHI_CROSS_MVRCD ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_CROSS_MVRCD_BID') CREATE INDEX IDX_CBS_ARCHI_CROSS_MVRCD_BID ON T_CBS_ARCHI_CROSS_MVRCD ( FBILLID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_ENTITY', 'T_CBS_ARCHI_ENTITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_ENTITY') CREATE INDEX IDX_CBS_ARCHI_ENTITY ON T_CBS_ARCHI_ENTITY ( FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_LOG', 'T_CBS_ARCHI_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_LOG') CREATE INDEX IDX_CBS_ARCHI_LOG ON T_CBS_ARCHI_LOG ( FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_PARAM', 'T_CBS_ARCHI_PARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_PARAM') CREATE INDEX IDX_CBS_ARCHI_PARAM ON T_CBS_ARCHI_PARAM ( FTYPE );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_PLAN', 'T_CBS_ARCHI_PLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_PLAN') CREATE INDEX IDX_CBS_ARCHI_PLAN ON T_CBS_ARCHI_PLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_PLAN_L', 'T_CBS_ARCHI_PLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_PLAN_L') CREATE INDEX IDX_CBS_ARCHI_PLAN_L ON T_CBS_ARCHI_PLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_REVERSE_MVRCD', 'T_CBS_ARCHI_REVERSE_MVRCD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_RE_MVRCD_TID') CREATE INDEX IDX_CBS_ARCHI_RE_MVRCD_TID ON T_CBS_ARCHI_REVERSE_MVRCD ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_RE_MVRCD_BID') CREATE INDEX IDX_CBS_ARCHI_RE_MVRCD_BID ON T_CBS_ARCHI_REVERSE_MVRCD ( FBILLID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_REVERSERCD', 'T_CBS_ARCHI_REVERSERCD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_REVERSERCD') CREATE INDEX IDX_CBS_ARCHI_REVERSERCD ON T_CBS_ARCHI_REVERSERCD ( FARCHI_ENTITYID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_SCHEDULE', 'T_CBS_ARCHI_SCHEDULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SCHEDULE') CREATE INDEX IDX_CBS_ARCHI_SCHEDULE ON T_CBS_ARCHI_SCHEDULE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SCHEDULE_ENABLE') CREATE INDEX IDX_CBS_ARCHI_SCHEDULE_ENABLE ON T_CBS_ARCHI_SCHEDULE ( FENABLE );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_SCHEDULEENTRY', 'T_CBS_ARCHI_SCHEDULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SCH_ETY_FK') CREATE INDEX IDX_CBS_ARCHI_SCH_ETY_FK ON T_CBS_ARCHI_SCHEDULEENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SCH_ETY_CID') CREATE INDEX IDX_CBS_ARCHI_SCH_ETY_CID ON T_CBS_ARCHI_SCHEDULEENTRY ( FCONFIGID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_SCHEDULERCD', 'T_CBS_ARCHI_SCHEDULERCD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SCHEDULERCD') CREATE INDEX IDX_CBS_ARCHI_SCHEDULERCD ON T_CBS_ARCHI_SCHEDULERCD ( FSCHEDULEID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_SUBTASK', 'T_CBS_ARCHI_SUBTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SUBTASK') CREATE INDEX IDX_CBS_ARCHI_SUBTASK ON T_CBS_ARCHI_SUBTASK ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SUBTASK_TID') CREATE INDEX IDX_CBS_ARCHI_SUBTASK_TID ON T_CBS_ARCHI_SUBTASK ( FTASKID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_SYNC_MVRCD', 'T_CBS_ARCHI_SYNC_MVRCD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SYNC_MVRCD_TID') CREATE INDEX IDX_CBS_ARCHI_SYNC_MVRCD_TID ON T_CBS_ARCHI_SYNC_MVRCD ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_SYNC_MVRCD_BID') CREATE INDEX IDX_CBS_ARCHI_SYNC_MVRCD_BID ON T_CBS_ARCHI_SYNC_MVRCD ( FBILLID );


 EXEC P_ALTERPK 'PK_CBS_ARCHI_TASK', 'T_CBS_ARCHI_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_TASK') CREATE INDEX IDX_CBS_ARCHI_TASK ON T_CBS_ARCHI_TASK ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_ARCHI_TASK_CID') CREATE INDEX IDX_CBS_ARCHI_TASK_CID ON T_CBS_ARCHI_TASK ( FCONFIGID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_constraint.sql **/
